import { join } from "path";

export default function () {
  const { nuxt } = this
  if (!nuxt.options.components) {
    throw new Error('please set `components: true` inside `nuxt.config` and ensure using `nuxt >= 2.13.0`')
  }
  nuxt.hook("components:dirs", (dirs) => {
    dirs.push({
      path: join(__dirname, "../src/TierraAgro2/components"),
      prefix: "stronglify",
    });
  });
}